<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCategoriesFileTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('swp_categories_file', function (Blueprint $table) {
            $table->string('id', 32)->primary();
            $table->string('name');
            $table->boolean('is_active')->nullable();
            $table->string('userid_created', 32)->nullable();
            $table->string('userid_updated', 32)->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('swp_categories_file');
    }
}
